# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from enum import Enum


class Gender(str, Enum):

    male = "Male"
    female = "Female"


class ComputerVisionErrorCodes(str, Enum):

    invalid_request = "InvalidRequest"
    invalid_argument = "InvalidArgument"
    internal_server_error = "InternalServerError"
    service_unavailable = "ServiceUnavailable"


class ComputerVisionInnerErrorCodeValue(str, Enum):

    invalid_image_format = "InvalidImageFormat"
    unsupported_media_type = "UnsupportedMediaType"
    invalid_image_url = "InvalidImageUrl"
    not_supported_feature = "NotSupportedFeature"
    not_supported_image = "NotSupportedImage"
    timeout = "Timeout"
    internal_server_error = "InternalServerError"
    invalid_image_size = "InvalidImageSize"
    bad_argument = "BadArgument"
    detect_face_error = "DetectFaceError"
    not_supported_language = "NotSupportedLanguage"
    invalid_thumbnail_size = "InvalidThumbnailSize"
    invalid_details = "InvalidDetails"
    invalid_model = "InvalidModel"
    cancelled_request = "CancelledRequest"
    not_supported_visual_feature = "NotSupportedVisualFeature"
    failed_to_process = "FailedToProcess"
    unspecified = "Unspecified"
    storage_exception = "StorageException"


class OperationStatusCodes(str, Enum):

    not_started = "notStarted"
    running = "running"
    failed = "failed"
    succeeded = "succeeded"


class TextRecognitionResultDimensionUnit(str, Enum):

    pixel = "pixel"
    inch = "inch"


class TextStyle(str, Enum):

    other = "other"
    handwriting = "handwriting"


class DescriptionExclude(str, Enum):

    celebrities = "Celebrities"
    landmarks = "Landmarks"


class OcrLanguages(str, Enum):

    unk = "unk"
    zh_hans = "zh-Hans"
    zh_hant = "zh-Hant"
    cs = "cs"
    da = "da"
    nl = "nl"
    en = "en"
    fi = "fi"
    fr = "fr"
    de = "de"
    el = "el"
    hu = "hu"
    it = "it"
    ja = "ja"
    ko = "ko"
    nb = "nb"
    pl = "pl"
    pt = "pt"
    ru = "ru"
    es = "es"
    sv = "sv"
    tr = "tr"
    ar = "ar"
    ro = "ro"
    sr_cyrl = "sr-Cyrl"
    sr_latn = "sr-Latn"
    sk = "sk"


class VisualFeatureTypes(str, Enum):

    image_type = "ImageType"
    faces = "Faces"
    adult = "Adult"
    categories = "Categories"
    color = "Color"
    tags = "Tags"
    description = "Description"
    objects = "Objects"
    brands = "Brands"


class OcrDetectionLanguage(str, Enum):

    af = "af"
    ast = "ast"
    bi = "bi"
    br = "br"
    ca = "ca"
    ceb = "ceb"
    ch = "ch"
    co = "co"
    crh = "crh"
    cs = "cs"
    csb = "csb"
    da = "da"
    de = "de"
    en = "en"
    es = "es"
    et = "et"
    eu = "eu"
    fi = "fi"
    fil = "fil"
    fj = "fj"
    fr = "fr"
    fur = "fur"
    fy = "fy"
    ga = "ga"
    gd = "gd"
    gil = "gil"
    gl = "gl"
    gv = "gv"
    hni = "hni"
    hsb = "hsb"
    ht = "ht"
    hu = "hu"
    ia = "ia"
    id = "id"
    it = "it"
    iu = "iu"
    ja = "ja"
    jv = "jv"
    kaa = "kaa"
    kac = "kac"
    kea = "kea"
    kha = "kha"
    kl = "kl"
    ko = "ko"
    ku = "ku"
    kw = "kw"
    lb = "lb"
    ms = "ms"
    mww = "mww"
    nap = "nap"
    nl = "nl"
    no = "no"
    oc = "oc"
    pl = "pl"
    pt = "pt"
    quc = "quc"
    rm = "rm"
    sco = "sco"
    sl = "sl"
    sq = "sq"
    sv = "sv"
    sw = "sw"
    tet = "tet"
    tr = "tr"
    tt = "tt"
    uz = "uz"
    vo = "vo"
    wae = "wae"
    yua = "yua"
    za = "za"
    zh_hans = "zh-Hans"
    zh_hant = "zh-Hant"
    zu = "zu"


class Details(str, Enum):

    celebrities = "Celebrities"
    landmarks = "Landmarks"
